rte_crypto_ml_dsa_keygen_op(3)

NAME
rte_crypto_ml_dsa_keygen_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_param seed
rte_crypto_param pubkey
rte_crypto_param privkey

Detailed Description

PQC ML-DSA KEYGEN op

Parameters for PQC ML-DSA key generation operation

Definition at line 961 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_param seed
The random seed (of 32 bytes in length) to generate key pair.

Definition at line 962 of file rte_crypto_asym.h.

  rte_crypto_param pubkey
Pointer to output data

•   The computed public key.

•   Refer rte_crypto_ml_dsa_pubkey_size for size of buffer.

Definition at line 965 of file rte_crypto_asym.h.

  rte_crypto_param privkey
Pointer to output data

•   The computed secret key.

•   Refer rte_crypto_ml_dsa_privkey_size for size of buffer.

Definition at line 972 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.